package com.platform.modules.live.utils;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@ConfigurationProperties(prefix = "platform.tenant")
@Component
public class PlatformTenantProperties {
    private String tableName;
    private String columnName;
    private Long manageTenantId;
    private Long otherTenantDefaultAdminRoleId;

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getColumnName() {
        return columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName;
    }

    public Long getManageTenantId() {
        return manageTenantId;
    }

    public void setManageTenantId(Long manageTenantId) {
        this.manageTenantId = manageTenantId;
    }

    public Long getOtherTenantDefaultAdminRoleId() {
        return otherTenantDefaultAdminRoleId;
    }

    public void setOtherTenantDefaultAdminRoleId(Long otherTenantDefaultAdminRoleId) {
        this.otherTenantDefaultAdminRoleId = otherTenantDefaultAdminRoleId;
    }
}
